org.jbpm.casemgmt.impl.wih

## Class NotifyOwnerSLAViolationListener

- java.lang.Object
- - org.kie.api.event.process.DefaultProcessEventListener
  - - org.jbpm.casemgmt.impl.wih.NotifyOwnerSLAViolationListener

- All Implemented Interfaces:
    EventListener, org.kie.api.event.process.ProcessEventListener, org.kie.internal.runtime.Cacheable

      public class NotifyOwnerSLAViolationListener
      extends org.kie.api.event.process.DefaultProcessEventListener
      implements org.kie.internal.runtime.Cacheable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotifyOwnerSLAViolationListener()`
    `NotifyOwnerSLAViolationListener(String subject, String body, String template)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterSLAViolated(org.kie.api.event.process.SLAViolatedEvent event)`
    `protected Map<String,Object>` | `buildEmailParameters(String recipients, String caseId, org.kie.api.event.process.SLAViolatedEvent event)`
    `void` | `close()`
    `protected CaseFileInstance` | `getCaseFile(org.kie.api.runtime.KieSession ksession)`

    - ### Methods inherited from class org.kie.api.event.process.DefaultProcessEventListener

      `afterNodeLeft, afterNodeTriggered, afterProcessCompleted, afterProcessStarted, afterVariableChanged, beforeNodeLeft, beforeNodeTriggered, beforeProcessCompleted, beforeProcessStarted, beforeVariableChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.event.process.ProcessEventListener

      `beforeSLAViolated`

- - ### Constructor Detail

    - #### NotifyOwnerSLAViolationListener

          public NotifyOwnerSLAViolationListener()

    - #### NotifyOwnerSLAViolationListener

          public NotifyOwnerSLAViolationListener(String subject,
                                                 String body,
                                                 String template)

  - ### Method Detail

    - #### afterSLAViolated

          public void afterSLAViolated(org.kie.api.event.process.SLAViolatedEvent event)

      Specified by:
        `afterSLAViolated` in interface `org.kie.api.event.process.ProcessEventListener`

    - #### getCaseFile

          protected CaseFileInstance getCaseFile(org.kie.api.runtime.KieSession ksession)

    - #### close

          public void close()

      Specified by:
        `close` in interface `org.kie.internal.runtime.Cacheable`

    - #### buildEmailParameters

          protected Map<String,Object> buildEmailParameters(String recipients,
                                                            String caseId,
                                                            org.kie.api.event.process.SLAViolatedEvent event)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.